## patchance 0.2.0

=== Makefile ===
#!/usr/bin/make -f
# Makefile for Patchance #
# ---------------------- #
# Created by houston4444
#
PREFIX ?= /usr/local
DESTDIR =
DEST_PATCHANCE := $(DESTDIR)$(PREFIX)/share/patchance

LINK = ln -s -f
PYUIC := pyuic5
PYRCC := pyrcc5

LRELEASE := lrelease
ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt5
endif

ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt4
endif

PYTHON := python3
ifeq (, $(shell which $(PYTHON)))
  PYTHON := python
endif

PATCHBAY_DIR=HoustonPatchbay

# ---------------------

all: PATCHBAY UI RES LOCALE

PATCHBAY:
	@(cd $(PATCHBAY_DIR) && $(MAKE))

# ---------------------
# Resources

RES: src/resources_rc.py

src/resources_rc.py: resources/resources.qrc
	$(PYRCC) $< -o $@

# ---------------------
# UI code

UI: mkdir_ui patchance 

mkdir_ui:
	@if ! [ -e src/ui ];then mkdir -p src/ui; fi

patchance: src/ui/main_win.py \
		   src/ui/about_patchance.py

src/ui/%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@
	
PY_CACHE:
	$(PYTHON) -m compileall src/
	
# ------------------------
# # Translations Files

LOCALE: locale

locale: locale/patchance_en.qm \
		locale/patchance_fr.qm \

locale/%.qm: locale/%.ts
	$(LRELEASE) $< -qm $@

# -------------------------

clean:
	@(cd $(PATCHBAY_DIR) && $(MAKE) $@)
	rm -f *~ src/*~ src/*.pyc  locale/*.qm src/resources_rc.py
	rm -f -R src/ui
	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__ \
		  src/*/*/*/__pycache__

# -------------------------

debug:
	$(MAKE) DEBUG=true

# -------------------------

install:
# 	# Create directories
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -d $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DEST_PATCHANCE)/
	install -d $(DEST_PATCHANCE)/locale/
	install -d $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
	install -d $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/locale
	
# 	# Copy Desktop Files
	install -m 644 data/share/applications/*.desktop \
		$(DESTDIR)$(PREFIX)/share/applications/

# 	# Install icons
	install -m 644 resources/main_icon/16x16/patchance.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/main_icon/24x24/patchance.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -m 644 resources/main_icon/32x32/patchance.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -m 644 resources/main_icon/48x48/patchance.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/main_icon/64x64/patchance.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
	install -m 644 resources/main_icon/96x96/patchance.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
	install -m 644 resources/main_icon/128x128/patchance.png \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/main_icon/256x256/patchance.png \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/

# 	# Install icons, scalable
	install -m 644 resources/main_icon/scalable/patchance.svg \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/

	# Copy patchbay themes
	cp -r HoustonPatchbay/themes $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/

# 	# Install main code
	cp -r src $(DEST_PATCHANCE)/
	rm $(DEST_PATCHANCE)/src/patchbay
	cp -r $(PATCHBAY_DIR)/patchbay $(DEST_PATCHANCE)/src/
	
# 	# compile python files
	$(PYTHON) -m compileall $(DEST_PATCHANCE)/src/
	
# 	# install local manual
# 	cp -r manual $(DEST_PATCHANCE)/
		
#   # install main bash scripts to bin
	install -m 755 data/patchance  $(DESTDIR)$(PREFIX)/bin/
	sed -i "s?X-PREFIX-X?$(PREFIX)?" $(DESTDIR)$(PREFIX)/bin/patchance

# 	# Install Translations
	install -m 644 locale/*.qm $(DEST_PATCHANCE)/locale/
	install -m 644 $(PATCHBAY_DIR)/locale/*.qm $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/locale/

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/patchance
	rm -f $(DESTDIR)$(PREFIX)/share/applications/patchance.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/patchance.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/patchance.svg
	rm -rf $(DEST_PATCHANCE)

=== debian/changelog ===
patchance (0.2.0-0.2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: remove qtchooser from build-deps, add explicit dependency
    for python3-pyqt5.qtsvg. Also change to "all" architecture, since it's
    pure Python3.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Jan 2023 14:02:56 -0800

patchance (0.2.0-0ubuntu2) lunar; urgency=medium

  * d/control: Fix binary dependencies
  * add d/not-installed, lintian-overrides
  * d/copyright: Unrestrict GPL-2 to GPL-2+

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 28 Nov 2022 17:17:37 -0800

patchance (0.2.0-0ubuntu1) lunar; urgency=medium

  * Initial release. (LP: #1997292)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 04 Oct 2022 17:53:55 -0700

=== debian/control ===
Source: patchance
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pkg-config,
               pyqt5-dev-tools,
               python3-dev,
               python3-pyqt5,
               qttools5-dev
Standards-Version: 4.6.1
Homepage: https://github.com/Houston4444/Patchance

Package: patchance
Architecture: all
Depends: fonts-roboto-fontface,
         fonts-roboto-unhinted,
         python3-pyqt5.qtsvg,
         ${misc:Depends},
         ${python3:Depends}
Description: Jack Patchbay GUI
 Patchance is one more JACK patchbay GUI for GNU/Linux systems, but it could be
 adapted to Mac and Windows with little effort. It is a direct alternative to
 Catia or Patchage.
 .
 Features:
  - Stereo detection for port grouping with their name, for faster
    connections and readability
  - Wrap/Unwrap boxes to can hide things you don't need
  - Prevent the boxes from overlapping
  - Search a box with a pattern
  - Connection with double click for easier touchpad use
  - Connection from context menu
  - Editable themes (9 Themes embedded)
  - show only Audio, only MIDI, or only CV ports
  - Transport controls
  - Customizable tool bar
  - many others...

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm debian/patchance/usr/share/patchance/HoustonPatchbay/themes/Yellow\ Boards/fonts/*.ttf

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## patchance 1.0.0

=== Makefile ===
--- 
+++ 
@@ -131,8 +131,9 @@
 	install -m 644 resources/main_icon/scalable/patchance.svg \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 
-	# Copy patchbay themes
+#	# Copy patchbay themes
 	cp -r HoustonPatchbay/themes $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
+	cp -r HoustonPatchbay/manual $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
 
 # 	# Install main code
 	cp -r src $(DEST_PATCHANCE)/

=== debian/changelog ===
patchance (1.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.0.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 17 Feb 2023 07:01:28 -0800

## patchance 1.1.0

=== Makefile ===
--- 
+++ 
@@ -139,6 +139,8 @@
 	cp -r src $(DEST_PATCHANCE)/
 	rm $(DEST_PATCHANCE)/src/patchbay
 	cp -r $(PATCHBAY_DIR)/patchbay $(DEST_PATCHANCE)/src/
+	rm $(DEST_PATCHANCE)/src/jacklib
+	cp -r pyjacklib/jacklib $(DEST_PATCHANCE)/src/
 	
 # 	# compile python files
 	$(PYTHON) -m compileall $(DEST_PATCHANCE)/src/

=== debian/changelog ===
patchance (1.1.0-0ubuntu3) plucky; urgency=medium

  * d/control: Add Depends: python3-legacy-cgi (LP: #2104216)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 25 Mar 2025 20:30:30 -0700

patchance (1.1.0-0ubuntu2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:00:24 +0200

patchance (1.1.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.1.0
  * d/copyright: update to include pyjacklib, update dates

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 29 Jul 2023 09:41:43 -0700

=== debian/control ===
Source: patchance
Section: sound
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 pkgconf,
 python3-pyqt5,
 pyqt5-dev-tools,
 qttools5-dev,
 qtchooser
Standards-Version: 4.6.1
Homepage: https://github.com/Houston4444/Patchance

Package: patchance
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 fonts-roboto-fontface,
 fonts-roboto-unhinted,
 python3-legacy-cgi
Description: Jack Patchbay GUI
 Patchance is one more JACK patchbay GUI for GNU/Linux systems, but it could be
 adapted to Mac and Windows with little effort. It is a direct alternative to
 Catia or Patchage.
 .
 Features:
  - Stereo detection for port grouping with their name, for faster
    connections and readability
  - Wrap/Unwrap boxes to can hide things you don't need
  - Prevent the boxes from overlapping
  - Search a box with a pattern
  - Connection with double click for easier touchpad use
  - Connection from context menu
  - Editable themes (9 Themes embedded)
  - show only Audio, only MIDI, or only CV ports
  - Transport controls
  - Customizable tool bar
  - many others...

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm debian/patchance/usr/share/patchance/HoustonPatchbay/themes/Yellow\ Boards/fonts/*.ttf

## patchance 1.3.0

=== Makefile ===
--- 
+++ 
@@ -8,28 +8,60 @@
 DEST_PATCHANCE := $(DESTDIR)$(PREFIX)/share/patchance
 
 LINK = ln -s -f
-PYUIC := pyuic5
-PYRCC := pyrcc5
+LRELEASE ?= lrelease
+RCC ?= rcc
+QT_VERSION ?= 6
 
-LRELEASE := lrelease
-ifeq (, $(shell which $(LRELEASE)))
- LRELEASE := lrelease-qt5
+# if you set QT_VERSION environment variable to 5 at the make command
+# it will choose the other commands QT_API, pyuic5, pylupdate5.
+
+ifeq ($(QT_VERSION), 6)
+	QT_API ?= PyQt6
+	PYUIC ?= pyuic6
+	PYLUPDATE ?= pylupdate6
+	RCC_EXEC := $(shell which $(RCC))
+	RCC_QT6_DEB := /usr/lib/qt6/libexec/rcc
+
+	ifeq (, ${RCC_EXEC})
+		RCC := ${RCC_QT6_DEB}
+	else
+		ifeq ($(shell readlink ${RCC_EXEC}), qtchooser)
+			ifeq ($(shell test -x ${RCC_QT6_DEB} | echo $$?), 0)
+				RCC := ${RCC_QT6_DEB}
+			endif
+		endif
+	endif
+
+	ifeq (, $(shell which $(LRELEASE)))
+		LRELEASE := lrelease-qt6
+	endif
+
+else
+	QT_API ?= PyQt5
+	PYUIC ?= pyuic5
+	PYLUPDATE ?= pylupdate5
+	ifeq (, $(shell which $(LRELEASE)))
+		LRELEASE := lrelease-qt5
+	endif
 endif
 
-ifeq (, $(shell which $(LRELEASE)))
- LRELEASE := lrelease-qt4
-endif
+# neeeded for make install
+BUILD_CFG_FILE := src/qt_api.py
+QT_API_INST := $(shell grep ^QT_API= $(BUILD_CFG_FILE) 2>/dev/null| cut -d'=' -f2| cut -d"'" -f2)
+QT_API_INST ?= PyQt5
+
+ICON_SIZES := 16 24 32 48 64 96 128 256
 
 PYTHON := python3
 ifeq (, $(shell which $(PYTHON)))
-  PYTHON := python
+	PYTHON := python
 endif
 
 PATCHBAY_DIR=HoustonPatchbay
 
 # ---------------------
 
-all: PATCHBAY UI RES LOCALE
+all: PATCHBAY QT_PREPARE UI RES LOCALE
 
 PATCHBAY:
 	@(cd $(PATCHBAY_DIR) && $(MAKE))
@@ -37,21 +69,26 @@
 # ---------------------
 # Resources
 
+QT_PREPARE:
+	$(info compiling for Qt$(QT_VERSION) using $(QT_API))
+	$(file > $(BUILD_CFG_FILE),QT_API='$(QT_API)')
+
+    ifneq ($(QT_API), $(QT_API_INST))
+		rm -f *~ src/*~ src/*.pyc src/ui/*.py \
+		    resources/locale/*.qm src/resources_rc.py
+    endif
+	install -d src/ui
+
 RES: src/resources_rc.py
 
 src/resources_rc.py: resources/resources.qrc
-	$(PYRCC) $< -o $@
+	rcc -g python $< |sed 's/ PySide. / qtpy /' > $@
 
 # ---------------------
 # UI code
 
-UI: mkdir_ui patchance 
-
-mkdir_ui:
-	@if ! [ -e src/ui ];then mkdir -p src/ui; fi
-
-patchance: src/ui/main_win.py \
-		   src/ui/about_patchance.py
+UI: $(shell \
+	ls resources/ui/*.ui| sed 's|\.ui$$|.py|'| sed 's|^resources/|src/|')
 
 src/ui/%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
@@ -78,6 +115,7 @@
 	rm -f -R src/ui
 	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__ \
 		  src/*/*/*/__pycache__
+	rm -f src/qt_api.py
 
 # -------------------------
 
@@ -131,26 +169,23 @@
 	install -m 644 resources/main_icon/scalable/patchance.svg \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 
-#	# Copy patchbay themes
+    # Copy patchbay themes, manual and lib
 	cp -r HoustonPatchbay/themes $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
 	cp -r HoustonPatchbay/manual $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
+	cp -r HoustonPatchbay/source $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
 
 # 	# Install main code
 	cp -r src $(DEST_PATCHANCE)/
-	rm $(DEST_PATCHANCE)/src/patchbay
-	cp -r $(PATCHBAY_DIR)/patchbay $(DEST_PATCHANCE)/src/
-	rm $(DEST_PATCHANCE)/src/jacklib
-	cp -r pyjacklib/jacklib $(DEST_PATCHANCE)/src/
 	
 # 	# compile python files
+	$(PYTHON) -m compileall $(DEST_PATCHANCE)/HoustonPatchbay/source/
 	$(PYTHON) -m compileall $(DEST_PATCHANCE)/src/
 	
 # 	# install local manual
 # 	cp -r manual $(DEST_PATCHANCE)/
 		
 #   # install main bash scripts to bin
-	install -m 755 data/patchance  $(DESTDIR)$(PREFIX)/bin/
-	sed -i "s?X-PREFIX-X?$(PREFIX)?" $(DESTDIR)$(PREFIX)/bin/patchance
+	install -m 755 data/bin/patchance  $(DESTDIR)$(PREFIX)/bin/
 
 # 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_PATCHANCE)/locale/

=== HoustonPatchbay/Makefile ===
#!/usr/bin/make -f
# Makefile for HoustonPatchbay #
# ---------------------- #
# Created by houston4444
#

LRELEASE ?= lrelease
RCC ?= rcc
QT_VERSION ?= 6


# if you set QT_VERSION environment variable to 5 at the make command
# it will choose the other commands QT_API, pyuic5, pylupdate5.

ifeq ($(QT_VERSION), 6)
	QT_API ?= PyQt6
	PYUIC ?= pyuic6
	PYLUPDATE ?= pylupdate6

	ifeq (, $(which $(RCC)))
		RCC := /usr/lib/qt6/libexec/rcc
	endif

	ifeq (, $(shell which $(LRELEASE)))
		LRELEASE := lrelease-qt6
	endif
else
    QT_API ?= PyQt5
	PYUIC ?= pyuic5
	PYLUPDATE ?= pylupdate5
	RCC ?= rcc
	ifeq (, $(shell which $(LRELEASE)))
		LRELEASE := lrelease-qt5
	endif
endif

# neeeded for make install
BUILD_CFG_FILE := build_config
QT_API_INST := $(shell grep ^QT_API= $(BUILD_CFG_FILE) 2>/dev/null| cut -d'=' -f2)
QT_API_INST ?= PyQt5

# ---------------------

all: QT_PREPARE RES UI LOCALE

QT_PREPARE:
	$(info compiling for Qt$(QT_VERSION) using $(QT_API))
	$(file > $(BUILD_CFG_FILE),QT_API=$(QT_API))

    ifneq ($(QT_API), $(QT_API_INST))
		rm -f *~ source/patchbay/resources_rc.py \
			 locale/*.qm patchbay/ui/*.py
    endif
	install -d source/patchbay/ui/

# ---------------------
# Resources

RES: source/patchbay/resources_rc.py

source/patchbay/resources_rc.py: resources/resources.qrc
	${RCC} -g python $< |sed 's/ PySide. / qtpy /' > $@

# ---------------------
# UI code

UI: $(shell \
	ls resources/ui/*.ui| sed 's|\.ui$$|.py|'| sed 's|^resources/|source/patchbay/|')

source/patchbay/ui/%.py: resources/ui/%.ui
ifeq ($(PYUIC), pyuic6)
	$(PYUIC) $< > $@
	echo 'from .. import resources_rc' >> $@
else
	$(PYUIC) --import-from=.. $< > $@
endif
		
# ------------------------
# # Translations Files

LOCALE: locale/patchbay_en.qm  \
		locale/patchbay_fr.qm

locale/%.qm: locale/%.ts
	-$(LRELEASE) $< -qm $@

# -------------------------

clean:
	rm -f *~ source/patchbay/resources_rc.py \
			 locale/*.qm
	rm -f -R source/patchbay/ui \
			 source/patchbay/__pycache__ \
			 source/patchbay/*/__pycache__ \
			 source/patchbay/*/*/__pycache__

# -------------------------

debug:
	$(MAKE) DEBUG=true

# -------------------------

=== debian/changelog ===
patchance (1.3.0-0ubuntu2) resolute; urgency=medium

  * Have armhf and riscv64 build with one singular process

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 05 Nov 2025 11:26:37 -0800

patchance (1.3.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.3.0
  * d/control: switch to new Qt6 dependencies

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 03 Nov 2025 15:37:40 -0800

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  dh-python,
  python3-dev,
  pkgconf,
- python3-pyqt5,
- pyqt5-dev-tools,
- qttools5-dev,
+ python3-qtpy,
+ pyqt6-dev-tools,
+ qt6-base-dev-tools,
+ qttools5-dev-tools,
  qtchooser
 Standards-Version: 4.6.1
 Homepage: https://github.com/Houston4444/Patchance
@@ -23,7 +24,8 @@
  ${python3:Depends},
  fonts-roboto-fontface,
  fonts-roboto-unhinted,
- python3-legacy-cgi
+ python3-legacy-cgi,
+ python3-jack-client
 Description: Jack Patchbay GUI
  Patchance is one more JACK patchbay GUI for GNU/Linux systems, but it could be
  adapted to Mac and Windows with little effort. It is a direct alternative to

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# This fails to build on some archs with parallel builds
+DEB_BUILD_OPTIONS=parallel=1
 
 %:
 	dh $@ --with python3

## patchance 1.3.1

=== debian/changelog ===
patchance (1.3.1-0ubuntu1) resolute; urgency=medium

  * New upstream release 1.3.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 22 Feb 2026 20:12:04 -0800

=== debian/watch ===
version=4
opts="dversionmangle=auto,searchmode=plain" \
  https://api.github.com/repos/Houston4444/Patchance/releases?per_page=100 \
  https://github.com/Houston4444/Patchance/releases/download/v?[\d.]+/Patchance-@ANY_VERSION@-source@ARCHIVE_EXT@
